Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.http
Interface HTTPConnection

All Superinterfaces:
  JMXConnection

All Known Implementing Classes:
  HTTPClientInvoker, HTTPConnectionHandler, HTTPServerInvoker, HTTPService, SOAPClientInvoker

public interface HTTPConnection
extends JMXConnection

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.Integer` | `addNotificationListener(javax.management.ObjectName name, java.lang.Object filter, javax.security.auth.Subject delegate)`
`java.lang.String` | `connect(java.lang.Object credentials)` This method is called when a call initiated by `JMXConnector.connect()` arrives on server side.
`javax.management.remote.NotificationResult` | `fetchNotifications(long clientSequenceNumber, int maxNotifications, long timeout)`
`void` | `removeNotificationListeners(javax.management.ObjectName name, java.lang.Integer[] listenerIDs, javax.security.auth.Subject delegate)`

Methods inherited from interface mx4j.tools.remote.JMXConnection
`addNotificationListener, close, createMBean, createMBean, getAttribute, getAttributes, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### connect

    public java.lang.String connect(java.lang.Object credentials)
                             throws java.io.IOException,
                                    java.lang.SecurityException

  This method is called when a call initiated by `JMXConnector.connect()` arrives on server side. For HTTP connections, the socket is handled by the web container, but the remote procedure call that arrives along with the HTTP request is parsed and then (normally) forwarded to a JavaBean (that will implement this interface). Implementations of this method will normally call `ConnectionManager.connect(java.lang.Object)`.

  Parameters:
    `credentials` - The credential for authentication
  Returns:
    The connection id for the newly created connection
  Throws:
    `java.io.IOException` - If a communication problem occurs
    `java.lang.SecurityException` - If the authentication fails

### addNotificationListener

    public java.lang.Integer addNotificationListener(javax.management.ObjectName name,
                                                     java.lang.Object filter,
                                                     javax.security.auth.Subject delegate)
                                              throws javax.management.InstanceNotFoundException,
                                                     java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListeners

    public void removeNotificationListeners(javax.management.ObjectName name,
                                            java.lang.Integer[] listenerIDs,
                                            javax.security.auth.Subject delegate)
                                     throws javax.management.InstanceNotFoundException,
                                            javax.management.ListenerNotFoundException,
                                            java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### fetchNotifications

    public javax.management.remote.NotificationResult fetchNotifications(long clientSequenceNumber,
                                                                         int maxNotifications,
                                                                         long timeout)
                                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.